Bug 145520 - Grub fails for SATA disks (ata_piix) with error 15
Grub fails for SATA disks (ata_piix) with error 15
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 04:59 EST by Winfrid Tschiedel
Modified: 2008-02-04 11:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 11:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2005-01-19 04:59:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Intel DDR2 Jarrell SATA system fails in grub-loader with 
Error 15

Version-Release number of selected component (if applicable):
grub-0.95.3

How reproducible:
Always

Steps to Reproduce:
1. Have a Intel SATA Jarrell System 
2. Install a system which has grub-0.95-3
3. Use this boot-loader 

Actual Results:  Error 15

Expected Results:  System boots

Additional info:

The Intel Jarrell System has a  motherboard  with 7520 chipset and 
nocona processors and DDR2 memory and sata onboard (ata_piix driver) 
and optional scsi onboard. 
The problem also 
 
There is no problem when using SCSI discs but with the SATA 
discs the described error occurs. 

Problem can be fixed by installing grub-0.95-3.1.x86_64.rpm
and writing a new MBR.
Comment 1 Peter Jones 2005-01-21 18:13:22 EST
And does it work with the grub packages in rawhide?
Comment 2 Winfrid Tschiedel 2005-01-24 06:59:17 EST
I never tried a grub package from rawhide;
original I booted the system from a SuSE grub,
at that time the same error was in rhel-4.0-beta 
( issue 141950 ). After installing rhel-4.0-rc the
problem was fixed, so I just compared the grub version
and tried the grub package from rhel-4.0

Does this help you ?

Winfrid

PS.: Can you change the reporter name ( to Winfrid Tschiedel )
Comment 3 Matthew Miller 2006-07-10 16:09:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-04 11:29:04 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora 8
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.